+++
title = "Deployment"
sort_by = "weight"
weight = 90
insert_anchor_links = "right"

# Old version of these pages redirect here
aliases = [
  "/howto/on-premise/",
  "/howto/on-premise/configuration/",
  "/howto/on-premise/docker-compose/",
]
+++

This documentation is aimed at **system administrators** and **business leaders** who wish to deploy the Arkindex platform on their own hardware or cloud provider instead of using instances provided by Teklia (like [demo.arkindex.org](https://demo.arkindex.org)).

If you are interested in using Arkindex on your own documents, but **cannot publish them on publicly available instances** (due to privacy or regulatory concerns), it's possible to deploy the full Arkindex platform on your own infrastructure.

We currently offer [two editions of Arkindex](@/overview/license.md):
1. Community Edition, under the AGPL-v3 open-source license, suitable if your project is also open-source;
2. Enterprise Edition, suitable for all proprietary projects.

Please [contact us](https://teklia.com/company/contact/) if you are interested in Arkindex for your company or institution. We offer dedicated services for all your Arkindex needs (training, setup, project consulting, feature development, ...)


## Requirements

Arkindex needs a few hard requirements to run on your own hardware:
- [Docker](https://docs.docker.com/get-docker/) is needed, as we only deploy through Docker images.
- Linux servers are the only Operating System we support. We heavily recommend using [Ubuntu LTS](https://ubuntu.com/download/desktop).
- All your images must be hosted on a [IIIF](https://iiif.io/) server, or you'll need to expose them through a local IIIF server.
- A domain name for the platform server:
  - Ideally, a public domain name if your server is reachable on Internet (like `arkindex.company.com`).
  - or an internal domain name, provided by your company's system administrator.
- An SSL certificate for that domain name:
  - it can be provided by [Let's Encrypt](https://letsencrypt.org/) freely and automatically if your server is reachable on Internet
  - or an internal certificate, provided by your company's system administrator.

To run the Enterprise Edition, your servers must be able to make regular API calls (a few times a day) on a remote server to validate its licence. The server does **not** necessarily need to be exposed to the Internet, but only to be able to make requests towards a domain.

## Content

In this section you'll find out how to:

1. Pick an [architecture](@/deployment/architecture.md) that suits your needs.
2. Choose your [own hardware](@/deployment/hardware.md) to run Arkindex efficiently that suits your needs.
3. Setup [Arkindex](@/deployment/setup.md) in production mode.
4. Configure [Arkindex](@/deployment/configuration.md).
