+++
title = "Export a project"
weight = 100
+++

This page will guide you through exporting a project as an SQLite database.

## Starting an export

As a project export can take a long time, it is executed asynchronously.
You can start exports, watch their progress and download them from the web
interface.  Starting an export is subject to some conditions:

* An export cannot be started if one is already created or running.
* An export cannot be started if one has completed successfully in the last
  6 hours.
* An export cannot be started if you do not have contributor access on
  the project.

### To start an export

1. Open a project's element list in the web interface.
2. In the **Actions** menu, click on **Manage exports**.

{{ figure(image="howto/export/action.png", height=322) }}

3. In the modal, click the **Start export** button.

{{ figure(image="howto/export/modal_empty.png", height=311) }}

## Monitoring an export

You can access the exports list and watch the state of an export at any time
from the web interface.  The export can have one of the following states:

* **Created**: The export has been queued.
* **Running**: The export is currently running on our servers.
* **Done**: The export is completed and can be downloaded.
* **Failed**: An error occurred with the export.

### To monitor an export

1. On the export list modal, click the **Refresh** button.

## Downloading an export

An email will be sent if the export completes or fails.
When the export completes, the email includes a link to download the export.

Once logged in the web interface, you can download any of the generated
exports if you do have a guest access or the project is public.
The list is accessible from the main page of a project in **Actions** >
**Manage exports**.

{% warning() %}
Exports are deleted automatically from the Arkindex instance after two weeks.
{% end %}

### To download an export from the web interface

1. Open the export management modal from the **Actions** menu.
2. Click the **Download** button next to the export you want to download.

{{ figure(image="howto/export/modal.png", height=341) }}

3. Save the file to your computer.
