+++
title = "Upload images from an S3 bucket"
description = "Upload a large number of images to Arkindex from a S3 bucket"

weight = 32
+++

If you have [uploaded images on an S3 bucket](@/howto/large_upload/index.md), you can import these images to Arkindex in a few steps.

## Get access to the bucket from Arkindex

In order to import images from a bucket into an Arkindex instance, you first need to ask an administrator of that instance to grant you access to the S3 import feature.

## Create a new Arkindex project

Your images must be imported into a project: you can create a new one by clicking the **New project** button in the top-right corner of the Arkindex homepage. To create a project, you only need to fill in a project name, and optionally a description.

{{ figure(image="howto/import_from_bucket/create_project.png", height=230, caption="Create a new project on Arkindex") }}

You can also import your images into an existing project.

## Import images from a bucket to an Arkindex project

In order to access the S3 import interface, you need to navigate into your project, and from there click on **Import files from S3** in the **Actions** dropdown menu.

{{ figure(image="howto/import_from_bucket/import_from_s3_menu.png", height=230, caption="Project actions dropdown menu") }}

A form asks you to fill out 3 fields:

### Bucket selection

First, you need to **select the bucket** your images are in from a dropdown.  
If your bucket isn't listed, you need to ask an administrator of the Arkindex instance to give Arkindex access to that bucket.

### Optional key prefix

You can also specify a **key prefix** to only import some of the files in the bucket.  
For example, if you enter the prefix `folder1/myfiles` then files with names such as `folder1/myfiles/1.jpg` will be imported, as would a file named `folder1/myfiles.png`.

### Optional folder to import into

Finally, you can select an existing **folder** in the project for the images to be imported in.  
If you do not select a folder, then a new one, containing your images, will be created.

### Advanced settings

By opening the **Advanced settings** dropdown, you can specify the [types](@/project/type.md) of the [elements](@/project/element/index.md) that will be created by the import. By default, Page elements are created from the imported images, and the created folder is of type Folder.

{{ figure(image="howto/import_from_bucket/import_from_s3.png", height=450, caption="Import from S3 form") }}

Once you have filled out this form, you can click the **Import** button to start the import.

### Process monitoring

Clicking the **Import** button takes you to the **Process status** page, from where you can monitor your import's progress.

{{ figure(image="howto/import_from_bucket/process_status.png", height=450, caption="Process status") }}

You can leave this page and find it again from the **Process list**, which you can access by clicking **Process** in the main menu bar at the top of the website. 

## Use created elements on Arkindex

{{ figure(image="howto/import_from_bucket/arkindex_browse.png", height=450, caption="Elements in an Arkindex folder") }}

Once the import is complete, you can browse the created elements, [annotate them](@/howto/annotate/index.md), or [process them using machine learning workers](@/howto/run_process/index.md).