+++
title = "Upload documents"
description = "Import new documents from your computer"

weight = 20
+++

Arkindex allows you to easily create elements from your images in a pre-defined data structure.
This way, you can import a few amount of images either from your computer or from an IIIF server.

## Interface

{% warning() %}
To import files on a project, you should have a `Contributor` or `Admin` access.
{% end %}

You can import data inside a project or inside one of its elements with a folder type (More information on [project types](@/project/type.md)).
You can access the import interface from the **Actions** menu in the navigation header by clicking on **Import files**.

{{ figure(image="howto/upload/actions_importfiles.png", height=250, caption="Import file menu from the navigation") }}

## Import files

From the import page, you can upload local images, PDF documents or ZIP files by selecting files on your computer by clicking on the **Select files** button.

{{ figure(image="howto/upload/upload_files.png", height=150, caption="Select and upload local files") }}

Once your files are uploaded, you can start an import to create elements linked to those images in the target project or folder.

In case the import is done on a project, created elements will be grouped in a new folder. Otherwise they will be added as children of the target folder.

By default, the types used will be `folder` and `page` but you can select your own from the **Advanced settings** dropdown.
Folder type will not be used if the documents are already imported into a folder.

{{ figure(image="howto/upload/import.png", height=150, caption="Start an import with the uploaded files") }}

Once the import is started, you can monitor its progress (but closing this won't stop your import.)

{{ figure(image="howto/upload/running-process.png", height=400, caption="Visualize the progress of the import") }}

## IIIF URLs

You can upload images or manifests stored in an IIIF server by copying its URL to the **From a URL** input.
Uploaded images are treated the same way as for local images.

Arkindex makes a distinction between images and image servers.  It will use its known image servers to import IIIF images.  If there is no known server, it will try to find the portion of the image URL that corresponds to the server by looking for `/iiif/` or `/i3f/` and creating a new server.  If that fails, you will need to ask an instance administrator to add your image server manually.

* `https://iiif.example.com/path/to/iiif/myimage.jpg/info.json` will be detected as having an image server at `https://iiif.example.com/path/to/iiif/` and an image at `/myimage.jpg`.
* `https://iiif.example.com/server/myimage.jpg/info.json` will not be understood, and an instance administrator will need to add `https://iiif.example.com/server/` manually for the import to work, as `/iiif/` is not found.

## Visualize imported documents

Once the import is complete, you can click the **View Element** button or the **project link** from the import status page.

{{ figure(image="howto/upload/completed-process.png", height=180, caption="A completed process") }}

Once navigating on the imported elements, you can change a folder's name by clicking the pencil-shaped icon next to it.

{{ figure(image="howto/upload/edit_name.png", height=380, caption="Edit an element's name") }}

Note that PDFs containing text are automatically recognized by Arkindex and will generate transcribed lines.

{{ figure(image="howto/upload/pdf-lines.png", height=200, caption="Element with transcriptions") }}
