+++
title = "Overview"
sort_by = "weight"
insert_anchor_links = "right"
weight = 10
+++

Arkindex is [Teklia](https://teklia.com)'s web solution to extract and analyze text from images of documents.

All of its features are fully accessible from its web interface, but also from a [Rest API](@/overview/api.md).

{{ figure(image="overview/frontend.png", height=300, caption="Browse all your documents using a clean web interface") }}

Two versions of Arkindex are available: [open-source and enterprise](@/overview/license.md).

## Document management

Arkindex is first and foremost a web platform to process thousands of documents. Document management is an essential part of its features. We use a generic term `Element` to talk about a Document and its components. We also use a graph structure in database to be able to represent any of your documents.

You can read more about document structure on the [Data Concepts page](@/overview/concepts.md) and [Projects](@/project/_index.md) section.

## Machine Learning workflows

We rely heavily on Machine Learning processes to analyze the text in your documents. Using segmentation, transcription and named entity recognition software, we are able to make sense of most handwritten text.

These complex tools are easily launched from your web browser, and run on powerful servers. Using Arkindex you'll be able to watch the completion progress of your current analysis.

{{ figure(image="overview/process.png", height=240, caption="Easily view the progress of Machine Learning workflows") }}

<!-- TODO: Add link on how to create a process: https://gitlab.teklia.com/arkindex/doc/-/issues/8 -->

## Data Import

Arkindex can import your data from different sources: 
- your computer using an image or PDF upload form
- your own [IIIF](https://iiif.io/) server
- a [Gitlab](https://gitlab.com/) server
- an [Amazon S3](https://aws.amazon.com/s3/) bucket
- [Transkribus](https://readcoop.eu/transkribus) collections

<!-- TODO: Add link on how to import from transkribus: https://gitlab.teklia.com/arkindex/doc/-/issues/23 -->

<!-- TODO: Add link on how to create a process: https://gitlab.teklia.com/arkindex/doc/-/issues/7 -->

## Customizable user access

{% info() %}
Limited to Enterprise Edition
{% end %}

Each Arkindex platform instance can be shared amongst multiple people, projects, and teams. As a project administrator you will have fine-grained control over which users can access your document collections (so called `Projects` in Arkindex).

You can read more about [controlling user access](@/users/_index.md).
