+++
title = "Licensing"
weight = 100
+++

The Arkindex platform is available under two editions, each with its own license.


## Community Edition (CE)

Arkindex is freely available under the open-source license [AGPL-v3](https://www.gnu.org/licenses/agpl-3.0.en.html). All projects using Arkindex must also be open-source.

You can run your Arkindex instance, share it with other people, train models on your own hardware, and even modify its source code! Documentation is available [for developers](@/develop/_index.md) who wish to contribute.

Some features are missing from this edition in comparison to the **Enterprise Edition**, but they should not prevent hobbyists or even researchers from using and benefiting from Arkindex:

- No access control for projects (all projects are available to all logged-in users)
- No super-computer support through [slurm](https://slurm.schedmd.com/overview.html)
- Machine Learning tasks need direct access to the database and cannot be network-segregated
- Export generation through snapshots is not available


## Enterprise Edition (EE)

Arkindex is also available under a license that is compatible with commercial usage, and can bypass the open-source requirements of AGPL-v3.

The Enterprise Edition is fully featured, with fine-grained access control over projects, slurm support, execution of Machine Learning tasks across unlimited servers and GPUs, etc.

If you are an enterprise or institution interested in hosting your own Arkindex platform, please [contact us](https://teklia.com/contact). We also offer contracting work to develop new features, train your employees to use Arkindex, or deploy the platform on your own stack.
