+++
title = "Projects"
sort_by = "weight"
weight = 20
insert_anchor_links = "right"
+++


## The whole content is assigned to a Project

A `Project` is a collection of elements and Machine Learning results on those elements.

The `Project` is a purely organisational object: it allows us to organize `Element` in different units, and access rights.


## Naming

{% warning() %}
In the API, a `Project` is referenced as a `Corpus`, as it was its initial name.
{% end %}

For example `corpus_id` in the API is the ID of a Project.

You'll only see mentions of projects in the web interface (no corpus).

## Documentation

This section will explain in details the different parts of content management in Arkindex:

- [Elements](@/project/element/index.md) are the base unit to represent any document.
- [Metadatas](@/project/metadata.md) allow you to describe more precisely the elements.
- [Classifications](@/project/classification/index.md) are used to apply classes on an element.
- [Transcriptions](@/project/transcription.md) represent the extracted text from your documents.
- [Entities](@/project/entity/index.md) are named and known entities linked to your elements.
- [Exports](@/project/export/index.md) can be generated to retrieve all of the project's content at once.
  To learn how to export, see [How to export a project](@/howto/export/index.md).

## Web interface

A project administrator can edit all project properties from the web interface (More information on [roles](@/users/rights/index.md#roles)).
To access the management page of a corpus, you can use the **Actions** dropdown on the main page of a project.

{{ figure(image="project/project-mainpage.png", height=300, caption="Management link from the main page of a project") }}

This menu is also accessible from the projects list by clicking on the **users** value.

{{ figure(image="project/project-link.png", height=250, caption="Quick link to management page from the projects list") }}

All project properties are editable from the management page:
- name and description
- element types (to know more, [read the dedicated page](@/project/type.md))
- access rights (to know more, [read the dedicated page](@/users/_index.md))

<!-- TODO: document with screenshots this part -->

## API endpoints

The most useful endpoint is [ListCorpus](https://demo.arkindex.org/api-docs/#operation/ListCorpus) which will give you a non-paginated full list of all the projects you have access to, including the associated types and access rights.
