+++
title = "Path"
weight = 15
+++

The hierarchy between elements is not enforced at the **Type** level (there is no graph between different Type), but at the **Element** level.

A user can create any hierarchy between Elements using multiple Paths. A Path is simply a link between elements, linking a **Parent element** with **Children elements**.

The links between elements are created in three stages:
1. During the initial data import (folder and pages structure)
2. When a human annotator creates some new elements and transcriptions
3. When running Machine Learning workflows that create new elements and link them to existing elements

## Ordering

Elements linked as children of some existing element will receive a fixed position depending on the order they have been added and their type.

For example, if you create two successive `line` annotations on a `page` element, they will be considered as the first and the second `line`. Those elements will be navigable using the **neighbors** buttons in the navigation bar.

{{ figure(image="project/neighbors.png", height=50, caption="Neighbors navigation") }}

{% warning() %}
Children of different types receive independent orderings. If you create a `line` and a `paragraph` linked to a same element, they will both be considered as a first child without being neighbors.
{% end %}


## Web interface

The Arkindex web interface enables its users to browse the elements path by two means:

1. Browsing folder containing elements (you generally go from folder to folder, until you reach a **Page** element).
2. When viewing the details of an element linked to an image, you'll also view its children in a tree, on the left side of the screen.

{{ figure(image="project/tree.png", height=550, caption="A tree displays all the children for a specific element") }}

Each children is an **Element** itself, that can have its own transcription, metadata, classification, etc...

You can click on a child element in the tree to display it on the main image. Its polygon should become apparent using a green overlay.


## API Endpoints

These endpoints are the most useful to handle Element paths:

- [ListElementParents](https://demo.arkindex.org/api-docs/#operation/ListElementParents)
- [ListElementChildren](https://demo.arkindex.org/api-docs/#operation/ListElementChildren)
- [CreateElementParent](https://demo.arkindex.org/api-docs/#operation/CreateElementParent)
- [DestroyElementParent](https://demo.arkindex.org/api-docs/#operation/DestroyElementParent)
