+++
title = "Managing secrets on Arkindex"
weight = 20
+++

This page will guide you through managing secrets on an Arkindex instance.

Note that only Arkindex administrators can set secrets. To make changes to
secrets as a user, please contact your administrator.

## Viewing a secret

A secret's name and content can be displayed from the administration interface.

### To view a secret on Arkindex

1. Log in to Arkindex as an administrator.
2. From the top-right menu, click **Admin**.

{{ figure(image="secrets/arkindex/admin_menu.png", caption="Admin menu", height=300) }}

3. Under the **Ponos** section, click on **Secrets** to access the secrets list.

{{ figure(image="secrets/arkindex/secret_menu.png", caption="Ponos secret menu", height=300) }}

4. Click on the name of the secret you want to display.

## Creating a secret

Similarly to the CLI, the Arkindex administration interface handles encryption
transparently. A secret becomes immediately available to workers once it is
created.

### To create a secret on Arkindex

1. From the secrets list page, click **Add secret** on the top right.

   The following page gets displayed:

{{ figure(image="secrets/arkindex/add_secret.png", caption="Secret creation form", height=300) }}

2. Input the name and content of the new secret.

3. Click **Save**.

## Editing a secret

Secrets are not immutable and can be changed, making it easier to rename them
or change them.

### To edit a secret on Arkindex

1. View the secret you want to edit.

{{ figure(image="secrets/arkindex/edit_secret.png", caption="Secret edition form", height=300) }}

2. Edit the name and content fields for the secret however you need.
   Both fields must not be empty, and the name should be unique.
3. Click **Save**.

## Deleting a secret

{% warning() %}
Arkindex does not display which workers depend on which
secret. Deleting a secret can cause your workers to cease functioning.
{% end %}

### To delete a secret on Arkindex

1. View the secret you want to delete.
2. Click **Delete**.
3. On the confirmation page, click **Yes, I'm sure** to confirm the deletion.

{{ figure(image="secrets/arkindex/delete_secret.png", caption="Confirmation page", height=300) }}