+++
title = "Authentication"
weight = 10
+++

Authentication is required to use most features: access private projects, create elements or run Machine Learning processes.

## Register

Some projects are public and can be seen without login but in most cases you need to be authenticated to access them.

{{ figure(image="users/auth/anon-user.png", height=450, caption="Main page for non authenticated users") }}

If the **register** option is not available on your Arkindex instance, please contact the instance's administrator in order to create your account.

To create an account, you may fill a form with a **display name**, **e-mail address** and **password**.
The e-mail address will be considered as your identifier, whereas the display name is for informational purpose.

{{ figure(image="users/auth/register-form.png", height=350, caption="Registering form") }}

### Verified email

You need to verify your email address, by clicking on the link sent by email (check your spam folder if you do not find any Arkindex email).
If you do not verify your email, you won't have access to most Arkindex features.

A prompt will notify you as long as your email isn't validated from your mailbox.

{{ figure(image="users/auth/non-verified.png", height=300, caption="Non verified email banner") }}

### Reset password

If you forget your password, you can reset it using Forgotten password button in the **login** page.
An email containing a link to reset the password will be sent to your email address.

{{ figure(image="users/auth/login-form.png", height=250, caption="Login form") }}

## Profile

Once you are logged in to Arkindex, you can access your account information in your profile page.
This section is accessible from the top right dropdown (with your email address) in the **Profile** menu.

{{ figure(image="users/auth/profile-menu.png", height=250, caption="Button to access your Profile page") }}

### Personal token

A personal authentication token is provided in order to use Arkindex API from other interfaces than the website (such as the [Arkindex CLI client](@/overview/api.md#command-line-tool)).

You can access this token from your profile page in the **Details** section.

{{ figure(image="users/auth/profile.png", height=250, caption="Profile page") }}
