+++
title = "Groups"
weight = 30
+++

Arkindex allow authenticated users to create groups with other members using specific roles.

A right on a specific resource is granted for a group the same way as for a user.
Members of a group inherit the rights of this group on different resources.
{% warning() %}
If you give access to a group on your project, all its members will inherit of this right.
{% end %}

The resulting role of a group member is limited by its role on the group and the group role on the target resource.
For example, Bob is a Guest member of a group that is Administrator on a project. Bob will be granted a Guest access on the project via its group.

If multiple access are possible to a same resource (e.g. via multiple groups or a direct right), the user will always be granted the highest.

## Create a group

Once authenticated, you can list the groups you belong to from your [profile page](@/users/auth/index.md#profile), in the **Groups** section. A button allows you to **create a group**.

{{ figure(image="users/groups/add-group.png", height=200, caption="Create a group") }}

A group has a `name` and a `public` visibility attributes. If you make a group public, other users may find it by its name.
After creating a group you will be automatically redirected to the management page of this group.

## Manage a group

To manage a group, you may click on a group name from the list in your profile page.
A group has an unique identifier that may be used later to grant it rights.

{{ figure(image="users/groups/manage-group.png", height=320, caption="Manage a group") }}

Members of the group all have an access level.
At least one member must be administrator of the group.
If you created a group, you will initially be its administrator.

With an administrator access level, you should be able to edit group properties or delete it.
